Subject: bug#10491: unread-char and eof

From: Daniel Hartwig <[email-masked]>
Date: Tue, 17 Jan 2012 11:31:12 +0800

On 17 January 2012 02:57, Aleix Conchillo Flaqué <[email-masked]> wrote:
>
> I totally agree. However, I think the documentation should help any
> kind of user level. The documentation also does not say of any kind of
> error reported by the function.

Nor are type errors mentioned by most other functions, they are simply
implied.  This convention is mentioned in the revised report [1]:

 It is an error for an operation to be presented with an argument that it
 is not specified to handle.  For succinctness, we follow the convention
 that if an argument name is also the name of a type listed in section
 *note Disjointness of types::, then that argument must be of the named
 type.  For example, ...

[1] http://people.csail.mit.edu/jaffer/r5rs_3.html#SEC11